## golang-github-throttled-throttled 2.2.1

=== Makefile ===


.PHONY: test test-cover bench lint get-deps .go-test .go-test-cover

test: .go-test bench lint

test-cover: .go-test-cover bench lint

bench:
	go test -race -bench=. -cpu=1,2,4

lint:
	gofmt -l .
	go vet ./...
	which golint # Fail if golint doesn't exist
	-golint . # Don't fail on golint warnings themselves
	-golint store # Don't fail on golint warnings themselves

get-deps:
	go get github.com/gomodule/redigo/redis
	go get github.com/hashicorp/golang-lru
	go get github.com/golang/lint/golint
	go get github.com/go-redis/redis

.go-test:
	go test ./...

.go-test-cover:
	go test -coverprofile=throttled.coverage.out .
	go test -coverprofile=store.coverage.out ./store

=== debian/changelog ===
golang-github-throttled-throttled (2.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #900355).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 May 2018 22:39:41 +1000

=== debian/control ===
Source: golang-github-throttled-throttled
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any,
               golang-github-gomodule-redigo-dev,
               golang-github-go-redis-redis-dev,
               golang-github-hashicorp-golang-lru-dev
Standards-Version: 4.1.4
Homepage: https://github.com/throttled/throttled
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-throttled-throttled
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-throttled-throttled.git
XS-Go-Import-Path: github.com/throttled/throttled
Testsuite: autopkgtest-pkg-go

Package: golang-github-throttled-throttled-dev
Provides: golang-gopkg-throttled-throttled.v2-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-gomodule-redigo-dev,
         golang-github-go-redis-redis-dev,
         golang-github-hashicorp-golang-lru-dev
Description: rate limiting access to resources such as HTTP endpoints
 Throttled implements rate limiting using the generic cell rate algorithm
 (https://en.wikipedia.org/wiki/Generic_cell_rate_algorithm) to limit
 access to resources such as HTTP endpoints.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-throttled-throttled-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/throttled/throttled/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-throttled-throttled 2.2.4

=== debian/changelog ===
golang-github-throttled-throttled (2.2.4-1) unstable; urgency=medium

  * New upstream release..
  * Standards-Version: 4.4.1
  * DH to version 12

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 20 Dec 2019 23:29:47 +1100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-gomodule-redigo-dev,
                golang-github-go-redis-redis-dev,
                golang-github-hashicorp-golang-lru-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/throttled/throttled
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-throttled-throttled
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-throttled-throttled.git
